let
  rust_overlay = import (builtins.fetchTarball "https://github.com/oxalica/rust-overlay/archive/master.tar.gz");
  pkgs = import <nixpkgs> { overlays = [ rust_overlay ]; };
  #rustVersion = "latest";
  rustVersion = "1.76.0";
  rust = pkgs.rust-bin.stable.${rustVersion}.default.override {
    extensions = [
      "rust-src" # for rust-analyzer
    ];
  };
in
pkgs.mkShell {
  buildInputs = [
    rust
  ] ++ (with pkgs; [
    rust-analyzer
    pkg-config
    openssl.dev
    clang
    sqlite
    # other dependencies
    # ...
  ]);
  LIBCLANG_PATH = pkgs.libclang.lib + "/lib/";
  RUST_BACKTRACE = 1;
}