use bonsaidb::core::schema::Schema;

use apps::DbApp;
use elements::DbElement;
use peer_families::DbPeerFamily;
use peers::DbPeer;
use pot_memberships::DbPotMembership;
use pots::DbPot;

pub(crate) use apps::Apps;
pub(crate) use elements::Elements;
pub(crate) use peer_families::Families;
pub(crate) use peers::Peers;
pub(crate) use pot_memberships::PotMemberships;
pub(crate) use pots::Pots;

mod apps;
mod elements;
mod peer_families;
mod peers;
mod pot_memberships;
mod pots;

#[derive(Schema, Debug)]
#[schema(name = "ubisync", collections = [DbElement, DbPotMembership, DbApp, DbPot, DbPeer, DbPeerFamily])]
pub struct UbisyncSchema;

#[cfg(test)]
mod tests {}
